#include<iostream>
using namespace std;
int main()
{
    long long a,b,l,x,y,br=0;

    cin>>a>>b>>l;
    if(a+b>l){

        cout<<l;
    }else{
        for(x=1;x<l;x++){
            for(y=1;y<l;y++){
                if(a*x+b*y<=l){

                    br++;
                }

            }

        }
        cout<<l-br;
    }

 return 0;
}
